Issue 42330 - Automatic Font Color Setting choses black font color on dark grey backgrounds
Summary: Automatic Font Color Setting choses black font color on dark grey backgrounds
Status: CONFIRMED
Alias: None
Product: Impress
Classification: Application
Component: formatting (show other issues)
Version: OOo 2.0
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-09 13:56 UTC by psy96
Modified: 2013-02-07 22:39 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Example file (9.99 KB, application/vnd.oasis.opendocument.presentation)
2009-06-18 14:14 UTC, milek_pl
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description psy96 2005-02-09 13:56:59 UTC
When I compile presentations with OOo Impress, I suppose the "auto" setting of 
the font color to choose the font color most contrasting to the background 
color. 
However, when working with dark grey backgrounds, the font color is 
automatically set to black, although it should be white.
Comment 1 wolframgarten 2005-02-09 14:07:48 UTC
Reassigned.
Comment 2 ace_dent 2008-05-16 00:22:39 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 3 tab 2009-01-19 19:32:48 UTC
Duplicate of 45770?
Comment 4 milek_pl 2009-06-18 14:13:40 UTC
Confirmed. Moreover, animation effects don't work correctly with improper
setting of background color.

To replicate: 

1. Create an empty slide with white background.
2. Add text in one of the boxes.
3. Now, change the background of the box by right-clicking the box, and choosing
Area. Set color to Black.
4. The text is still black, i.e. disappears, as it isn't updated.

Workarounds, such as setting the text color explicitly, don't always work, if
you have several areas with different backgrounds set on the top. I think it's
highly counterintuitive that you have to use a certain sequence to get colors
right. Sometimes you add text and you decide you want to change the background.
Currently, this may lead to corrupting your work.
Comment 5 milek_pl 2009-06-18 14:14:24 UTC
Created attachment 63065 [details]
Example file